Bug 112272 - work directory should be parameterized and moved to 'data'
Summary: work directory should be parameterized and moved to 'data'
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: other   
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dennis Gregorovic
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 113496
TreeView+ depends on / blocked
 
Reported: 2003-12-16 22:14 UTC by Dennis Gregorovic
Modified: 2007-04-18 17:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-27 23:21:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dennis Gregorovic 2003-12-16 22:14:19 UTC
Description of problem:
There are at least two places in CCM where $CCM_HOME/work is
hard-coded as a default directory for saving data.

dev$ find src/ -type f -name *.java | xargs grep -l "work/"
src/com/arsdigita/kernel/security/SecurityConfig.java
src/com/arsdigita/search/lucene/LuceneConfig.java

However, $CCM_HOME/work has been deprecated in favor of $CCM_HOME/data
and $CCM_HOME/tmp.  So, what we should do is add two new properties:
waf.runtime.data_directory and waf.runtime.temp_directory, which
default to $CCM_HOME/data and $CCM_HOME/tmp.  Then we can replace the
occurences of "work/" with waf.runtime.data_directory.

Comment 1 Dennis Gregorovic 2004-02-27 23:21:31 UTC
@40879

The implementation is slightly different than what's mentioned in the
ticket.  Now there is a com.arsdigita.runtime.CCM#getDataDirectory()
method which is used by lucene. (SecurityConfig is no longer an
issue).  Internally, getDataDirectory returns ccm.home/data


Note You need to log in before you can comment on or make changes to this bug.